'use strict';

const { Adw, Gio, Gtk } = imports.gi;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();

function init() {
}

function fillPreferencesWindow(window) {
	// Use the same GSettings schema as in `extension.js`
	const settings = ExtensionUtils.getSettings('org.gnome.shell.extensions.docker');

	const page = new Adw.PreferencesPage();
	const group = new Adw.PreferencesGroup();
	page.add(group);

	// Terminal
	const row_terminal = new Adw.ActionRow({ title: 'Terminal' });
	group.add(row_terminal)

	const input_terminal = new Gtk.Entry();

	settings.bind(
		'terminal',
		input_terminal,
		'text',
		Gio.SettingsBindFlags.DEFAULT
	);

	row_terminal.add_suffix(input_terminal);
	row_terminal.activatable_widget = input_terminal;

	// Menu type
	const row_menu_type = new Adw.ActionRow({ title: 'Menu type' });
	group.add(row_menu_type);

	const combobox_menu_type = new Gtk.ComboBoxText();
	combobox_menu_type.append("text", "Text");
	combobox_menu_type.append("icons", "Icons");

	settings.bind(
		'menu-type',
		combobox_menu_type,
		'active-id',
		Gio.SettingsBindFlags.DEFAULT
	);

	row_menu_type.add_suffix(combobox_menu_type);
	row_menu_type.activatable_widget = combobox_menu_type;

	// Visible menus.
	const row_visible_menu = new Adw.ActionRow({ title: 'Show' });
	group.add(row_visible_menu);

	const combobox_visible_menu = new Gtk.ComboBoxText();
	combobox_visible_menu.append("both", "Both");
	combobox_visible_menu.append("containers", "Containers");
	combobox_visible_menu.append("images", "Images");

	settings.bind(
		'show-value',
		combobox_visible_menu,
		'active-id',
		Gio.SettingsBindFlags.DEFAULT
	);

	row_visible_menu.add_suffix(combobox_visible_menu);
	row_visible_menu.activatable_widget = combobox_visible_menu;

	// Add our page to the window
	window.add(page);
}
